%global _empty_manifest_terminate_build 0
Name:		python-termcolor
Version:	2.3.0
Release:	1
Summary:	ANSII Color formatting for output in terminal.
License:	MIT
URL:		http://pypi.python.org/pypi/termcolor
Source0:        https://files.pythonhosted.org/packages/source/t/termcolor/termcolor-%{version}.tar.gz
BuildArch:	noarch


%description
ANSII Color formatting for output in terminal.

%package -n python3-termcolor
Summary:	ANSII Color formatting for output in terminal.
Provides:	python-termcolor
BuildRequires:	python3-devel
BuildRequires:	python3-setuptools
BuildRequires:  python3-pip python3-wheel
BuildRequires:  python3-hatchling python3-hatch-vcs
%description -n python3-termcolor
ANSII Color formatting for output in terminal.

%package help
Summary:	Development documents and examples for termcolor
Provides:	python3-termcolor-doc
%description help
ANSII Color formatting for output in terminal.

%prep
%autosetup -n termcolor-%{version} -p1

%build
%pyproject_build

%install
%pyproject_install termcolor==%{version}
install -d -m755 %{buildroot}/%{_pkgdocdir}
if [ -d doc ]; then cp -arf doc %{buildroot}/%{_pkgdocdir}; fi
if [ -d docs ]; then cp -arf docs %{buildroot}/%{_pkgdocdir}; fi
if [ -d example ]; then cp -arf example %{buildroot}/%{_pkgdocdir}; fi
if [ -d examples ]; then cp -arf examples %{buildroot}/%{_pkgdocdir}; fi
pushd %{buildroot}
if [ -d usr/lib ]; then
	find usr/lib -type f -printf "/%h/%f\n" >> filelist.lst
fi
if [ -d usr/lib64 ]; then
	find usr/lib64 -type f -printf "/%h/%f\n" >> filelist.lst
fi
if [ -d usr/bin ]; then
	find usr/bin -type f -printf "/%h/%f\n" >> filelist.lst
fi
if [ -d usr/sbin ]; then
	find usr/sbin -type f -printf "/%h/%f\n" >> filelist.lst
fi
touch doclist.lst
if [ -d usr/share/man ]; then
	find usr/share/man -type f -printf "/%h/%f.gz\n" >> doclist.lst
fi
popd
mv %{buildroot}/filelist.lst .
mv %{buildroot}/doclist.lst .

%files -n python3-termcolor -f filelist.lst
%dir %{python3_sitelib}/*
%{python3_sitelib}/termcolor/__pycache__/*

%files help -f doclist.lst
%{_docdir}/*

%changelog
* Fri May 05 2023 yaoxin <yao_xin001@hoperun.com> - 2.3.0-1
- Update to 2.3.0

* Sat Oct 03 2020 Python_Bot <Python_Bot@openeuler.org>
- Package Spec generated
